Commit b82140c6 authored by Dmitriy Zaporozhets's avatar Dmitriy Zaporozhets

Use original gem gollum-lib

Signed-off-by: 's avatarDmitriy Zaporozhets <dmitriy.zaporozhets@gmail.com>
parent 24934c9b
...@@ -39,7 +39,7 @@ gem 'gitlab-grack', '~> 2.0.0.pre', require: 'grack' ...@@ -39,7 +39,7 @@ gem 'gitlab-grack', '~> 2.0.0.pre', require: 'grack'
gem 'gitlab_omniauth-ldap', '1.0.4', require: "omniauth-ldap" gem 'gitlab_omniauth-ldap', '1.0.4', require: "omniauth-ldap"
# Git Wiki # Git Wiki
gem "gitlab-gollum-lib", "~> 1.1.0", require: 'gollum-lib' gem 'gollum-lib', '~> 3.0.0'
# Language detection # Language detection
gem "gitlab-linguist", "~> 3.0.0", require: "linguist" gem "gitlab-linguist", "~> 3.0.0", require: "linguist"
...@@ -70,7 +70,7 @@ gem "haml-rails" ...@@ -70,7 +70,7 @@ gem "haml-rails"
gem "carrierwave" gem "carrierwave"
# for aws storage # for aws storage
gem "fog", "~> 1.3.1", group: :aws gem "fog", "~> 1.14", group: :aws
# Authorization # Authorization
gem "six" gem "six"
...@@ -80,7 +80,7 @@ gem "seed-fu" ...@@ -80,7 +80,7 @@ gem "seed-fu"
# Markdown to HTML # Markdown to HTML
gem "redcarpet", "~> 2.2.2" gem "redcarpet", "~> 2.2.2"
gem "github-markup", "~> 0.7.4", require: 'github/markup', git: 'https://github.com/gitlabhq/markup.git', ref: '61ade389c1e1c159359338f570d18464a44ddbc4' gem "github-markup"
# Asciidoc to HTML # Asciidoc to HTML
gem "asciidoctor" gem "asciidoctor"
...@@ -140,7 +140,7 @@ gem "d3_rails", "~> 3.1.4" ...@@ -140,7 +140,7 @@ gem "d3_rails", "~> 3.1.4"
gem "underscore-rails", "~> 1.4.4" gem "underscore-rails", "~> 1.4.4"
# Sanitize user input # Sanitize user input
gem "sanitize" gem "sanitize", '~> 2.0'
# Protect against bruteforcing # Protect against bruteforcing
gem "rack-attack" gem "rack-attack"
......
GIT
remote: https://github.com/gitlabhq/markup.git
revision: 61ade389c1e1c159359338f570d18464a44ddbc4
ref: 61ade389c1e1c159359338f570d18464a44ddbc4
specs:
github-markup (0.7.6)
GIT GIT
remote: https://github.com/intridea/grape-entity.git remote: https://github.com/intridea/grape-entity.git
revision: d904381c951e86250c3f44213b349a3dd8e83fb1 revision: d904381c951e86250c3f44213b349a3dd8e83fb1
...@@ -132,7 +125,7 @@ GEM ...@@ -132,7 +125,7 @@ GEM
erubis (2.7.0) erubis (2.7.0)
escape_utils (0.2.4) escape_utils (0.2.4)
eventmachine (1.0.3) eventmachine (1.0.3)
excon (0.13.4) excon (0.32.1)
execjs (2.0.2) execjs (2.0.2)
factory_girl (4.3.0) factory_girl (4.3.0)
activesupport (>= 3.0.0) activesupport (>= 3.0.0)
...@@ -145,16 +138,23 @@ GEM ...@@ -145,16 +138,23 @@ GEM
faraday (>= 0.7.4, < 0.9) faraday (>= 0.7.4, < 0.9)
ffaker (1.22.1) ffaker (1.22.1)
ffi (1.9.3) ffi (1.9.3)
fog (1.3.1) fog (1.21.0)
fog-brightbox
fog-core (~> 1.21, >= 1.21.1)
fog-json
nokogiri (~> 1.5, >= 1.5.11)
fog-brightbox (0.0.1)
fog-core
fog-json
fog-core (1.21.1)
builder builder
excon (~> 0.13.0) excon (~> 0.32)
formatador (~> 0.2.0) formatador (~> 0.2.0)
mime-types mime-types
multi_json (~> 1.0) net-scp (~> 1.1)
net-scp (~> 1.0.4)
net-ssh (>= 2.1.3) net-ssh (>= 2.1.3)
nokogiri (~> 1.5.0) fog-json (1.0.0)
ruby-hmac multi_json (~> 1.0)
font-awesome-rails (3.2.1.3) font-awesome-rails (3.2.1.3)
railties (>= 3.2, < 5.0) railties (>= 3.2, < 5.0)
foreman (0.63.0) foreman (0.63.0)
...@@ -165,17 +165,10 @@ GEM ...@@ -165,17 +165,10 @@ GEM
rugged (~> 0.19) rugged (~> 0.19)
gherkin-ruby (0.3.1) gherkin-ruby (0.3.1)
racc racc
github-markdown (0.5.5) github-markup (1.1.0)
gitlab-flowdock-git-hook (0.4.2.2) gitlab-flowdock-git-hook (0.4.2.2)
gitlab-grit (>= 2.4.1) gitlab-grit (>= 2.4.1)
multi_json multi_json
gitlab-gollum-lib (1.1.0)
github-markdown (~> 0.5.3)
github-markup (>= 0.7.5, < 1.0.0)
gitlab-grit (~> 2.6.1)
nokogiri (~> 1.5.9)
sanitize (~> 2.0.3)
stringex (~> 1.5.1)
gitlab-grack (2.0.0.pre) gitlab-grack (2.0.0.pre)
rack (~> 1.5.1) rack (~> 1.5.1)
gitlab-grit (2.6.5) gitlab-grit (2.6.5)
...@@ -201,6 +194,13 @@ GEM ...@@ -201,6 +194,13 @@ GEM
omniauth (~> 1.0) omniauth (~> 1.0)
pyu-ruby-sasl (~> 0.0.3.1) pyu-ruby-sasl (~> 0.0.3.1)
rubyntlm (~> 0.1.1) rubyntlm (~> 0.1.1)
gollum-lib (3.0.0)
github-markup (~> 1.1.0)
gitlab-grit (~> 2.6.5)
nokogiri (~> 1.6.1)
rouge (~> 1.3.3)
sanitize (~> 2.1.0)
stringex (~> 2.5.1)
gon (5.0.1) gon (5.0.1)
actionpack (>= 2.3.0) actionpack (>= 2.3.0)
json json
...@@ -284,16 +284,18 @@ GEM ...@@ -284,16 +284,18 @@ GEM
treetop (~> 1.4.8) treetop (~> 1.4.8)
method_source (0.8.2) method_source (0.8.2)
mime-types (1.25.1) mime-types (1.25.1)
mini_portile (0.5.3)
minitest (4.7.5) minitest (4.7.5)
multi_json (1.9.2) multi_json (1.9.2)
multi_xml (0.5.5) multi_xml (0.5.5)
multipart-post (1.2.0) multipart-post (1.2.0)
mysql2 (0.3.11) mysql2 (0.3.11)
net-ldap (0.3.1) net-ldap (0.3.1)
net-scp (1.0.4) net-scp (1.1.2)
net-ssh (>= 1.99.1) net-ssh (>= 2.6.5)
net-ssh (2.7.0) net-ssh (2.8.0)
nokogiri (1.5.10) nokogiri (1.6.1)
mini_portile (~> 0.5.0)
nprogress-rails (0.1.2.3) nprogress-rails (0.1.2.3)
oauth (0.4.7) oauth (0.4.7)
oauth2 (0.8.1) oauth2 (0.8.1)
...@@ -410,6 +412,7 @@ GEM ...@@ -410,6 +412,7 @@ GEM
require_all (1.3.2) require_all (1.3.2)
rest-client (1.6.7) rest-client (1.6.7)
mime-types (>= 1.16) mime-types (>= 1.16)
rouge (1.3.3)
rspec (2.14.1) rspec (2.14.1)
rspec-core (~> 2.14.0) rspec-core (~> 2.14.0)
rspec-expectations (~> 2.14.0) rspec-expectations (~> 2.14.0)
...@@ -425,12 +428,11 @@ GEM ...@@ -425,12 +428,11 @@ GEM
rspec-core (~> 2.14.0) rspec-core (~> 2.14.0)
rspec-expectations (~> 2.14.0) rspec-expectations (~> 2.14.0)
rspec-mocks (~> 2.14.0) rspec-mocks (~> 2.14.0)
ruby-hmac (0.4.0)
ruby-progressbar (1.2.0) ruby-progressbar (1.2.0)
rubyntlm (0.1.1) rubyntlm (0.1.1)
rugged (0.19.0) rugged (0.19.0)
safe_yaml (0.9.7) safe_yaml (0.9.7)
sanitize (2.0.6) sanitize (2.1.0)
nokogiri (>= 1.4.4) nokogiri (>= 1.4.4)
sass (3.2.12) sass (3.2.12)
sass-rails (4.0.1) sass-rails (4.0.1)
...@@ -494,7 +496,7 @@ GEM ...@@ -494,7 +496,7 @@ GEM
sprockets (~> 2.8) sprockets (~> 2.8)
stamp (0.5.0) stamp (0.5.0)
state_machine (1.2.0) state_machine (1.2.0)
stringex (1.5.1) stringex (2.5.1)
temple (0.6.7) temple (0.6.7)
term-ansicolor (1.2.2) term-ansicolor (1.2.2)
tins (~> 0.8) tins (~> 0.8)
...@@ -583,19 +585,19 @@ DEPENDENCIES ...@@ -583,19 +585,19 @@ DEPENDENCIES
enumerize enumerize
factory_girl_rails factory_girl_rails
ffaker ffaker
fog (~> 1.3.1) fog (~> 1.14)
font-awesome-rails (~> 3.2) font-awesome-rails (~> 3.2)
foreman foreman
gemnasium-gitlab-service (~> 0.2) gemnasium-gitlab-service (~> 0.2)
github-markup (~> 0.7.4)! github-markup
gitlab-flowdock-git-hook (~> 0.4.2) gitlab-flowdock-git-hook (~> 0.4.2)
gitlab-gollum-lib (~> 1.1.0)
gitlab-grack (~> 2.0.0.pre) gitlab-grack (~> 2.0.0.pre)
gitlab-linguist (~> 3.0.0) gitlab-linguist (~> 3.0.0)
gitlab_emoji (~> 0.0.1.1) gitlab_emoji (~> 0.0.1.1)
gitlab_git (~> 5.8) gitlab_git (~> 5.8)
gitlab_meta (= 6.0) gitlab_meta (= 6.0)
gitlab_omniauth-ldap (= 1.0.4) gitlab_omniauth-ldap (= 1.0.4)
gollum-lib (~> 3.0.0)
gon (~> 5.0.0) gon (~> 5.0.0)
grape (~> 0.6.1) grape (~> 0.6.1)
grape-entity (~> 0.4.1)! grape-entity (~> 0.4.1)!
...@@ -637,7 +639,7 @@ DEPENDENCIES ...@@ -637,7 +639,7 @@ DEPENDENCIES
redcarpet (~> 2.2.2) redcarpet (~> 2.2.2)
redis-rails redis-rails
rspec-rails rspec-rails
sanitize sanitize (~> 2.0)
sass-rails sass-rails
sdoc sdoc
seed-fu seed-fu
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment